CanonicalCoefTermConsumer Class Reference

`#include <CanonicalCoefTermConsumer.h>`

Inheritance diagram for CanonicalCoefTermConsumer:

## Public Member Functions

| CanonicalCoefTermConsumer (unique_ptr< CoefTermConsumer > consumer)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term)
virtual void | doneConsuming ()
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Private Attributes

unique_ptr< CoefTermConsumer > | _consumer
Polynomial | _polynomial
VarNames | _names

## Detailed Description

Definition at line 28 of file CanonicalCoefTermConsumer.h.

## Constructor & Destructor Documentation

## CanonicalCoefTermConsumer()

CanonicalCoefTermConsumer::CanonicalCoefTermConsumer | ( | unique_ptr< CoefTermConsumer > | consumer | ) |

Definition at line 22 of file CanonicalCoefTermConsumer.cpp.

## Member Function Documentation

## beginConsuming()

void CanonicalCoefTermConsumer::beginConsuming | ( |  | ) |

virtual

Implements CoefTermConsumer.

Definition at line 33 of file CanonicalCoefTermConsumer.cpp.

## consume()

void CanonicalCoefTermConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term )

virtual

Implements CoefTermConsumer.

Definition at line 36 of file CanonicalCoefTermConsumer.cpp.

## consumeRing()

void CanonicalCoefTermConsumer::consumeRing | ( | const VarNames & | names | ) |

virtual

Implements CoefTermConsumer.

Definition at line 28 of file CanonicalCoefTermConsumer.cpp.

## doneConsuming()

void CanonicalCoefTermConsumer::doneConsuming | ( |  | ) |

virtual

Implements CoefTermConsumer.

Definition at line 43 of file CanonicalCoefTermConsumer.cpp.

## Member Data Documentation

## _consumer

unique_ptr<CoefTermConsumer> CanonicalCoefTermConsumer::_consumer

private

Definition at line 39 of file CanonicalCoefTermConsumer.h.

## _names

VarNames CanonicalCoefTermConsumer::_names

private

Definition at line 41 of file CanonicalCoefTermConsumer.h.

## _polynomial

Polynomial CanonicalCoefTermConsumer::_polynomial

private

Definition at line 40 of file CanonicalCoefTermConsumer.h.

The documentation for this class was generated from the following files:

- src/CanonicalCoefTermConsumer.h
- src/CanonicalCoefTermConsumer.cpp